/*  
 *  - - - - - - - - - - - - - - - - - - - - - - - - - -
 *   g a l _ t e p h e m e r i d e s - ( m a i n . c )  
 *  - - - - - - - - - - - - - - - - - - - - - - - - - -
 *  
 *  This program is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This program runs the test suite for the ephemerides sub-library
 *  
 *  Status: 
 *  
 *     Library test program  
 *  
 *  Returned:  
 *  
 *     gal_tephemerides i           0 is returned if all the tests pass, 
 *                                  1 is returned if any of the tests fail
 *  
 *  Called:  
 *  
 *     gal_test_start               Initialize and start the test run
 *     gal_test_stop                Stop the test run and output the statistics
 *     gal_epv00_test               gal_epv00 test routine  
 *     gal_plan94_test              gal_plan94 test routine
 *     gal_gsupv00_test             gal_gsupv00 test routine 
 *     gal_gmopv02_test             gal_gmopv02 test routine 
 *  
 *  This revision:  
 * 
 *     2008 June 7 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#include <stdio.h>
#include "gal_pstrings.h"
#include "gal_test_common.h"
#include "gal_test.h"
#include "gal_epv00_test.h"
#include "gal_plan94_test.h"
#include "gal_gsupv00_test.h"
#include "gal_gmopv02_test.h"

int
main
  (
  )
  
{

/*  
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  
 */  

  gal_test_start ( "Ephemerides", 0 ) ;
  
  gal_epv00_test  () ;
  gal_plan94_test () ;
  gal_gsupv00_test () ;
  gal_gmopv02_test () ;
     
  return gal_test_stop () ;
  
/*  
 * Finished.  
 */  

}

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  